%define iconname kphone.png 

Summary:	KPhone - SIP user agent
Name:		kphone
Version:	4.2
Release:	3mdk
License:	GPL
Group:		Communications
URL:		http://www.wirlab.net/kphone/index.html
BuildRequires:	autoconf2.1
BuildRequires:	kdelibs-devel >= 3.1.1
BuildRequires:	openssl-devel >= 0.9.6j
Obsoletes:	libkphone3
Obsoletes:	libkphone3-devel
Provides:	libkphone3 libkphone3-devel
BuildRoot:	%_tmppath/%{name}-%{version}-root-%(id -u -n)

Source:		%{name}-%{version}.tar.bz2
Source1:	kphone.menu
Patch1:		kphone-3.0.5-fix-lib64.patch.bz2
Patch2:		kphone-4.0.2-mdkmenu.patch.bz2
Patch3:		kphone-4.0.2-destdir.patch.bz2
Patch4:		kphone-4.1.0-fix-install-po-file.patch.bz2
Patch5:		kphone-4.2.0-fix-compile-po.patch.bz2
Patch6:		kphone-varargs.patch.bz2
Patch7:		kphone-packed.patch.bz2

# LJB: Don't really know how to deal with this best
%define _pixmapsdir %{_prefix}/share/icons

# Deal with --tag
%define __libtoolize /bin/true

# Taken from arts package
# QTDIR is always /usr/lib/qt3, whether that's a lib64 architecture or
# not (sublibdirs are correctly qualified in the latter case however).
%define qtdir	%{_prefix}/lib/qt3

%description
KPhone is a SIP (Session Initiation Protocol) user agent for Linux,
with which you can initiate VoIP (Voice over IP) connections over the
Internet. It also supports Presence and Instant Messaging.

%prep 
%setup -q -n %{name} 
#%patch1 -p1 -b .lib64
#%patch2 -p1
#%patch3 -p1
#%patch4 -p1 -b .fix_install_po_file
%patch5 -p1 -b .fix_compile_po
%patch6 -p1 -b .varargs
%patch7 -p1 -b .packed
autoconf

%build
# This will be outside the build root and thus ignored.
# We don't want the .desktop file anyway
kde_appsdir="%{_applnkdir}"; export kde_appsdir
kde_icondir="%{_pixmapsdir}"; export kde_icondir

QTDIR=%qtdir
export LD_LIBRARY_PATH=$QTLIB:$LD_LIBRARY_PATH

# Update config.{sub,guess} to recognize amd64-*
%{?__cputoolize: %{__cputoolize}}

%configure \
        --enable-shared \
        --with-gnu-ld \
        --with-pic \
        --enable-mt \
        --disable-rpath

# crashes build - from copied spec file, not verified: LJB
#	--enable-final \
%make

%install
export PATH=$QTLIB/bin:$PATH
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_menudir}

%makeinstall_std

# Don't want to patch the Makefile
install -m 0644 %SOURCE1 %buildroot/%_menudir/kphone
mkdir -p %{buildroot}{%{_miconsdir},%{_iconsdir},%{_liconsdir},%{_menudir}}
cp icons/large-kphone.png %{buildroot}%{_liconsdir}/%{iconname}
cp icons/lo-kphone.png %{buildroot}%{_iconsdir}/%{iconname}
cp icons/mini-kphone.png %{buildroot}%{_miconsdir}/%{iconname}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /usr/bin/update-menus
%postun -p /usr/bin/update-menus

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kphone
%{_menudir}/kphone
%{_datadir}/apps/kphone/icons/*.png
%_iconsdir/%iconname
%_liconsdir/%iconname
%_miconsdir/%iconname  

%dir %_datadir/kphone/translations/
%_datadir/kphone/translations/*.qm
		 

%doc CHANGES COPYING INSTALL README

%changelog
* Tue Aug 23 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 4.2-3mdk
- varargs & packed fixes

* Wed Jul 27 2005 Laurent MONTEL <lmontel@mandriva.com> 4.2-2mdk
- Fix menu

* Wed Jul 27 2005 Laurent MONTEL <lmontel@mandriva.com> 4.2-1mdk
- 4.2

* Thu Mar 24 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 4.1.0-3mdk
- Fix all translation (saved as in utf8)

* Thu Feb 17 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 4.1.0-2mdk
- Regenerate fr translation (it was not save as utf8)

* Wed Dec 22 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 4.1.0-1mdk
- 4.1.0 : changelog :
		- configure script updated
	 	- Alsa support added
  		- Jack support added (incomplete)
   		- Some errors fixed

* Fri Nov 19 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 4.0.5-1mdk
- 4.0.5

* Mon Oct 18 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 4.0.3-3mdk
- lib64 fixes

* Tue Sep 28 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 4.0.3-2mdk
- Allow to translate it

* Sun Jun 27 2004 Stefan van der Eijk <stefan@mandrake.org> 4.0.3-1mdk
- 4.0.3

* Wed Jun 14 2004 Lonnie Borntreger <cooker@borntreger.com> 4.0.2-1mdk
- Update to 4.0.2
- Remove patch1 (kdb2html) no longer needed
- Rework patch2 (mdkmenu) to change menu name from KT&T to K-Phone
- Add patch3 (destdir) to make install work in rpm
- Change spec file due to png location change
- Remove lib packages - kphone source no longer creates shared libs
- Obsolete lib packages
- Fix my 3.14 brain damage on doc section of spec file

* Mon Jun 14 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.14-4mdk
- Rebuild

* Fri Feb 20 2004 David Baudens <baudens@mandrakesoft.com> 3.14-3mdk
- Fix menu

* Wed Dec 31 2003 Lenny Cartier <lenny@mandrakesoft.com> 3.14-1mdk
- from Lonnie Borntreger <cooker@borntreger.com> 3.14-1mdk
  - First attempt to create Mandrake RPM
  - patch1: remove kdb2html from configure
  - patch2: add Mandrake menu file
  - Add libification
